import request from '@/utils/request'

// 查询小区集合
export function getAreaList({district}) {
    return request({
        url: `/zdsz/area/getAreaList?district=${district}`,
        method: 'get',
    })
}

// 查询楼栋集合
export function getBuildingList({areaId}) {
    return request({
        url: `/zdsz/building/getBuildingList?areaId=${areaId}`,
        method: 'get',
    })
}

// 查询单元集合
export function getUnitList({buildingId}) {
    return request({
        url: `/zdsz/unit/getUnitList?buildingId=${buildingId}`,
        method: 'get',
    })
}



// 查询工程列表（工业 1 市政 2）
export function getEngineeList({type, enginType ='',}) {
    return request({
        url: `/zdsz/engineeringIndustry/list?type=${type}&enginType=${enginType}`,
        method: 'get',
    })
}

// 查询顶管列表（顶管 ）
export function getPipeJackingList({enginName = null}) {
    return request({
        url: `/zdsz/engineeringPipeJacking/list?enginName=${enginName}`,
        method: 'get',
    })
}

// 查询危险工程列表
export function getEnginDangerousList({ZEngineeringDangerousBo = {}}) {
    return request({
        url: `/zdsz/engineeringDangerous/list?ZEngineeringDangerousBo=${ZEngineeringDangerousBo}`,
        method: 'get',
    })
}


// 新增工程（工业 市政）
export function addEnginee(data) {
    return request({
      url: '/zdsz/engineeringIndustry',
      method: 'post',
      data
    })
}

// 新增危险作业工程
export function addEngineeringDangerous(data) {
    return request({
      url: '/zdsz/engineeringDangerous',
      method: 'post',
      data
    })
}

// 新增顶管工程
export function addEngineeringPipeJacking(data) {
    return request({
      url: '/zdsz/engineeringPipeJacking',
      method: 'post',
      data
    })
}

// 修改顶管工程
export function putEngineeringPipeJacking(data) {
    return request({
      url: '/zdsz/engineeringPipeJacking',
      method: 'put',
      data
    })
}

// 查询顶管工程详情
export function viewEngineeringPipeJacking(id) {
    return request({
      url: `/zdsz/engineeringPipeJacking/${id}`,
      method: 'get',
    })
}

// 删除顶管工程详情
export function deleteEngineeringPipeJacking(id) {
    return request({
      url: `/zdsz/engineeringPipeJacking/${id}`,
      method: 'delete',
    })
}